<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>CSS Introduction and Selectors</title>
	<!-- 
		Internal styling
			- it allows us to add css within a page without the use of style attribute per element.In internal styling, you can select multiple elements to style within the html where the internal style is.

			However, inline styling is given more priority than the internal styling.

			- The problem with the internal style is that it adds more code to your HTML. It makes your HTML document bulkier.
	 -->
	 <!-- Implementing Styling in a page
		Inline styling
			- is done when we add a style attribute to our tag. This allows us to change the styles of an element.
			- the values before the colon(:) are the style properties of an element that we want to change and the value after the colon are the values we would like to assign to a property.

			syntax:
			<tag style="property:value; property:value;"></tag>

			However, HTML was made to determine layout of the page by creating element not for styling.
	  -->

	 <!-- Internal CSS -->
	 <!-- <style type="text/css">
	 	h2 {
	 		color: green !important;
	 		font-size: 20px;
	 	}
	 </style> -->
	 <!-- !important
			- important rule is an exception that you can apply to your styles that tells the browser "make this CSS rule apply, no matter what."
	  -->
	 <!-- Best Practice: External Style -->
	 <link rel="stylesheet" href="./style.css">
</head>
<body>

<!-- navbar -->
	<nav id="top">
		<a href="#landing">Zuitt</a>
		<div>
			<a href="#landing">Landing</a>
			<a href="#register">Register</a>
		</div>
	</nav>

<!-- end of navbar -->
<!-- inline style -->
<!-- <h2 style="color: red;">Magandang araw!</h2> -->

<h1>Mabuhay! Welcome to Philippines</h1>
<section id="landing">
		<!-- ids are unique identifiers of an element -->
		<h2>Welcome to Zuitt</h2>
		<h3 id="zuitt-motto">Opportunities for Everyone, Everywhere!</h3>

		<!-- image -->
		<img src="https://place-puppy.com/450x450" alt="puppy">

		<ol id="bootcamp-learning-list">
			<li class="offering-item">Day Classes</li>
			<li class="offering-item">Night Classes</li>
			<li class="offering-item">Intro to Coding</li>
		</ol>

</section>

<!-- register -->
<section>
	<h2>Register</h2>
	<form>
		<label for="first-name">First Name:</label>
		<input type="text" id="first-name" required autocomplete="">
		<label for="last-name">Last Name:</label>
		<input type="text" id="last-name" required autocomplete="">
		<label for="emailAdd">Email Address</label>
		<input type="email" id="emailAdd" required autocmplete="">
		<br>
		<button type="submit">Apply Now!</button>
		<br>
		<br>
	</form>

	<!-- back to top -->
	<a href="#top">Back to Top</a>
</section>
<!-- end of register -->
</body>
</html>